Name:      qubes-mgmt-salt-base-overrides
Version:   4.0.2
Release:   1%{?dist}
Summary:   Custom modules to override existing Salt modules due to upstream bugs or implementation conflicts
License:   GPL 2.0
URL:	   http://www.qubes-os.org/

Group:     System administration tools
BuildArch: noarch
Requires:  salt
Requires:  salt-minion
Requires:  qubes-mgmt-salt-config
Requires:  qubes-mgmt-salt-base-overrides-libs


Source0: %{name}-%{version}.tar.gz

%description
Custom modules to override existing Salt modules due to upstream bugs or implementation conflicts

%package libs
Summary:   Qubes+Salt management override libs
Group:     System administration tools
Requires:  salt
Requires:  salt-minion
Requires:  qubes-mgmt-salt-config
Requires:  python
Requires:  python-wrapt
BuildRequires:  python2-devel

%description libs
Qubes+Salt management override libs.

%prep
%setup -q

%build
CFLAGS="$RPM_OPT_FLAGS" %{__python2} setup.py build

%install
%{__python2} setup.py install -O1 --skip-build --install-lib %{python2_sitelib} --root %{buildroot}
make install DESTDIR=%{buildroot} LIBDIR=%{_libdir} BINDIR=%{_bindir} SBINDIR=%{_sbindir} SYSCONFDIR=%{_sysconfdir}

%clean
rm -rf build/ *.pyc *.pyo *.o *.a *~

%files
%defattr(-,root,root)
%doc LICENSE README.rst
%attr(750, root, root) %dir /srv/salt/_modules
/srv/salt/_modules/localemod.py*

%files libs
%{python2_sitelib}/qubessaltpatches/*
%{python2_sitelib}/qubessaltpatches*-*-py?.?.egg-info

%changelog
